Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.geometry
Class StripifierStats

    java.lang.Object
      com.sun.j3d.utils.geometry.StripifierStats

    public class StripifierStats

extends java.lang.Object

This class collects statistics on the Stripifier. The statistics are cumulative over all calls to stripify() until clearData() is called.

Since:
  Java 3D 1.2.1

Method Summary
`void` | `clearData()` Clears the statistical data
`double` | `getAvgNumVertsPerTri()` Returns the average number of vertices per triangle in the stripified data
`double` | `getAvgStripLength()` Return the average length of the strips created by the stripifier
`int` | `getMaxStripLength()` Returns the length in triangles of the longest strip created by the stripifier.
`int` | `getMinStripLength()` Returns the length in triangles of the shortest strip created by the stripifier.
`int` | `getNumOrigTris()` Returns the number of triangles in the original, un-stripified data.
`int` | `getNumOrigVerts()` Returns the number of vertices in the original, un-stripified data
`int` | `getNumStrips()` Returns the number of strips created by the stripifier.
`int` | `getNumVerts()` Returns the number of vertices in the stripified data.
`int[]` | `getStripLengthCounts()` Returns an array of length 14 that contains the number of strips of a given length created by the stripifier.
`long` | `getTotalTime()` Returns the total time spent in the stripify() method
`int` | `getTotalTris()` Returns the number of triangles in the stripified data.
`java.lang.String` | `toString()` Returns a formated String that can be used to print out the Stripifier stats.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNumOrigTris

    public int getNumOrigTris()

  Returns the number of triangles in the original, un-stripified data.

  Since:
    Java 3D 1.2.1

### getNumOrigVerts

    public int getNumOrigVerts()

  Returns the number of vertices in the original, un-stripified data

  Since:
    Java 3D 1.2.1

### getNumStrips

    public int getNumStrips()

  Returns the number of strips created by the stripifier.

  Since:
    Java 3D 1.2.1

### getNumVerts

    public int getNumVerts()

  Returns the number of vertices in the stripified data.

  Since:
    Java 3D 1.2.1

### getTotalTris

    public int getTotalTris()

  Returns the number of triangles in the stripified data.

  Since:
    Java 3D 1.2.1

### getMinStripLength

    public int getMinStripLength()

  Returns the length in triangles of the shortest strip created by the stripifier.

  Since:
    Java 3D 1.2.1

### getMaxStripLength

    public int getMaxStripLength()

  Returns the length in triangles of the longest strip created by the stripifier.

  Since:
    Java 3D 1.2.1

### getAvgStripLength

    public double getAvgStripLength()

  Return the average length of the strips created by the stripifier

  Since:
    Java 3D 1.2.1

### getAvgNumVertsPerTri

    public double getAvgNumVertsPerTri()

  Returns the average number of vertices per triangle in the stripified data

  Since:
    Java 3D 1.2.1

### getTotalTime

    public long getTotalTime()

  Returns the total time spent in the stripify() method

  Since:
    Java 3D 1.2.1

### getStripLengthCounts

    public int[] getStripLengthCounts()

  Returns an array of length 14 that contains the number of strips of a given length created by the stripifier. Spots 0-8 of the array represent lengths 1-9, 9 is lengths 10-19, 10 is lengths 20-49, 11 is lengths 50-99, 12 is lengths 100-999 and 13 is lengths 1000 or more.

  Since:
    Java 3D 1.2.1

### toString

    public java.lang.String toString()

  Returns a formated String that can be used to print out the Stripifier stats.

  Overrides:
    `toString` in class `java.lang.Object`
  Since:
    Java 3D 1.2.1

### clearData

    public void clearData()

  Clears the statistical data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD